SystemOrganization addCategory: #'Tvs-Monitores'!
SystemOrganization addCategory: #'Tvs-Monitores-Tests'!

Trait named: #TAnalogico
	uses: {}
	category: 'Tvs-Monitores'!

!TAnalogico commentStamp: '<historical>' prior: 0!
A TAnalogico is xxxxxxxxx.
!

!TAnalogico methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:32'!
definicion
	self requirement ! !

!TAnalogico methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:32'!
definicionEntrada
	^self definicion 
	! !

!TAnalogico methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/9/2013 10:57'!
definicionMaximaAnalogica 
	^480! !

Trait named: #TAudioVideo
	uses: {}
	category: 'Tvs-Monitores'!

!TAudioVideo commentStamp: '<historical>' prior: 0!
A TAudioVideo is xxxxxxxxx.
!

!TAudioVideo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/10/2013 00:39'!
consumo
	self requirement! !

!TAudioVideo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/10/2013 00:42'!
consumoEntrada
	^self consumo*self consumoPantalla ! !

!TAudioVideo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/10/2013 00:40'!
consumoPantalla
	self requirement ! !

!TAudioVideo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/10/2013 00:43'!
refrescoEntrada
	^50! !

Trait named: #TComputadora
	uses: {}
	category: 'Tvs-Monitores'!

!TComputadora methodsFor: 'as yet unclassified' stamp: 'FedericoGarciaRonca 4/18/2013 01:32'!
consumoTotal
	self requirement! !

!TComputadora methodsFor: 'as yet unclassified' stamp: 'FedericoGarciaRonca 4/18/2013 01:40'!
sosAptaParaVideoJuegos
	^(self video aptaParaJugarVideojuegos)  & (self pantalla puedeJugarVideojuegos)! !

Trait named: #TConsumoEntDependienteCable
	uses: {}
	category: 'Tvs-Monitores'!

!TConsumoEntDependienteCable commentStamp: '<historical>' prior: 0!
A TConsumoEntDependienteCable ise utiliza para calcular el consumo de una entrada que depende de la definicion del tipo de cable de la misma
!

!TConsumoEntDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:16'!
consumo 
	self requirement! !

!TConsumoEntDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:18'!
consumoEntrada
	^self consumo *self definicionCable ! !

!TConsumoEntDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:25'!
definicionCable 
	self requirement! !

Trait named: #TConsumoEntrDependientePantalla
	uses: {}
	category: 'Tvs-Monitores'!

!TConsumoEntrDependientePantalla commentStamp: '<historical>' prior: 0!
A TConsumoEntrDependientePantalla se utiliza para calcular connsumo en HDMI y Audio-Video en el cual se necesita obtener el consumo de la pantalla al cual est asociada para calcularlo
!

!TConsumoEntrDependientePantalla methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:09'!
consumo
	self requirement! !

!TConsumoEntrDependientePantalla methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:33'!
consumoEntrada 
 	^self consumo* self consumoPantalla ! !

!TConsumoEntrDependientePantalla methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:10'!
consumoPantalla
	self requirement ! !

Trait named: #TDefinicionEntFija
	uses: {}
	category: 'Tvs-Monitores'!

!TDefinicionEntFija commentStamp: '<historical>' prior: 0!
A TDefinicionEntFija obtiene la definicion para aquellas entradas que son fijas
!

!TDefinicionEntFija methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:34'!
definicion 
	self requirement ! !

!TDefinicionEntFija methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:35'!
definicionEntrada
	^self definicion 
	! !

Trait named: #TDefinicionEntradaDependienteCable
	uses: {}
	category: 'Tvs-Monitores'!

!TDefinicionEntradaDependienteCable commentStamp: '<historical>' prior: 0!
A TDefinicionEntradaDependienteCable obtiene la definicion de una entrada, la cual varia de un cable a otro. Este trait es utilizado por VGA y HDMI!

!TDefinicionEntradaDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:36'!
definicionCable 
	self requirement ! !

!TDefinicionEntradaDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 11:37'!
definicionEntrada 
 	^self definicionCable ! !

Trait named: #TDigital
	uses: {}
	category: 'Tvs-Monitores'!

!TDigital commentStamp: '<historical>' prior: 0!
A TDigital is xxxxxxxxx.
!

!TDigital methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:59'!
definicionMaxima
	^self ppp *(self tamanio squared /2) sqrt ! !

!TDigital methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/9/2013 10:30'!
ppp
	self requirement! !

!TDigital methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/9/2013 10:31'!
tamanio 
	self requirement! !

Trait named: #TDiscoRigido
	uses: {}
	category: 'Tvs-Monitores'!

!TDiscoRigido commentStamp: '<historical>' prior: 0!
A TDiscoRigido is xxxxxxxxx.
!

!TDiscoRigido methodsFor: 'trait methods' stamp: 'FedericoGarciaRonca 4/18/2013 01:14'!
consumoTotal
	^self rmp * 60/10000.! !

!TDiscoRigido methodsFor: 'trait requirements' stamp: 'Aure 4/10/2013 13:46'!
rpm
	self requirement.! !

Trait named: #TPantalla
	uses: {}
	category: 'Tvs-Monitores'!

!TPantalla commentStamp: '<historical>' prior: 0!
A TPantalla is xxxxxxxxx.
!

!TPantalla methodsFor: 'trait methods' stamp: 'GonzaloRicco 4/11/2013 10:06'!
consumo
^self wattsHora * self tamanio ! !

!TPantalla methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 10:10'!
consumoTotal
	^self consumo + self entrada consumoEntrada 
! !

!TPantalla methodsFor: 'trait requirements' stamp: 'GonzaloRicco 4/9/2013 12:18'!
definicion
	self requirement! !

!TPantalla methodsFor: 'trait requirements' stamp: 'GonzaloRicco 4/9/2013 23:23'!
entrada 
	self requirement! !

!TPantalla methodsFor: 'trait methods' stamp: 'Aure 4/8/2013 21:22'!
puedeJugarVideojuegos
	^self tasaDeRefrescoReal > 100.! !

!TPantalla methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 22:54'!
sePuedeConectarEntrada
! !

!TPantalla methodsFor: 'trait requirements' stamp: 'GonzaloRicco 4/5/2013 18:28'!
tamanio
	self requirement.
	! !

!TPantalla methodsFor: 'trait methods' stamp: 'GonzaloRicco 4/11/2013 18:48'!
tasaDeRefrescoReal 
	self tasaRefresco <= self entrada refrescoEntrada ifTrue: [^self tasaRefresco] ifFalse: [^self entrada refrescoEntrada]! !

!TPantalla methodsFor: 'trait requirements' stamp: 'GonzaloRicco 4/9/2013 09:40'!
tasaRefresco 
	self requirement.! !

!TPantalla methodsFor: 'trait requirements' stamp: 'Aure 4/8/2013 20:51'!
wattsHora
	self requirement.! !

Trait named: #TPlacaDeVideo
	uses: {}
	category: 'Tvs-Monitores'!

!TPlacaDeVideo commentStamp: '<historical>' prior: 0!
A TPlacaDeVideo is xxxxxxxxx.
!

!TPlacaDeVideo methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 16:59'!
aptaParaJugarVideojuegos
	^ self calculoVideojuegos! !

!TPlacaDeVideo methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 16:59'!
calculoVideojuegos
	"En el enunciado no dice si tiene que ser <, = o > a 4, hay que preguntar"
	^ self cantidadPixeles ln / self consumoPromedio > 4! !

!TPlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/10/2013 14:10'!
cantidadCoolers
	self requirement ! !

!TPlacaDeVideo methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 13:32'!
cantidadPixeles
	self resolucionMax > self resolucionPantalla ifTrue: [^self resolucionPantalla] ifFalse: [^self resolucionMax]! !

!TPlacaDeVideo methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 17:21'!
consumo 
	^self consumoPromedio! !

!TPlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/10/2013 13:58'!
consumoPromedio
	self requirement! !

!TPlacaDeVideo methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 18:00'!
consumoTotal
	^self consumo + (self cantidadCoolers * 0.5)! !

!TPlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/10/2013 13:55'!
resolucionMax
	self requirement.! !

!TPlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/10/2013 13:56'!
resolucionPantalla
	self requirement.! !

Trait named: #TPlacaGpu
	uses: TPlacaDeVideo - {#calculoVideojuegos. #consumoPromedio}
	category: 'Tvs-Monitores'!

!TPlacaGpu commentStamp: '<historical>' prior: 0!
A TPlacaGpu is xxxxxxxxx.
!

TPlacaGpu classTrait
	uses: TPlacaDeVideo classTrait!

!TPlacaGpu methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 16:54'!
aptaParaJugarVideojuegos
	^True! !

!TPlacaGpu methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 18:16'!
consumo 
	^self cantidadPixeles * (1/10000) asFloat.! !

Trait named: #TPlacaMother
	uses: TPlacaDeVideo - {#calculoVideojuegos. #cantidadPixeles. #resolucionMax. #resolucionPantalla}
	category: 'Tvs-Monitores'!

!TPlacaMother commentStamp: '<historical>' prior: 0!
A TPlacaMother is xxxxxxxxx.
!

TPlacaMother classTrait
	uses: TPlacaDeVideo classTrait!

!TPlacaMother methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 17:00'!
aptaParaJugarVideojuegos
	^False! !

!TPlacaMother methodsFor: 'trait methods' stamp: 'Aure 4/12/2013 17:19'!
consumo 
	^self consumoPromedio! !

Trait named: #TRefrescoEntDependienteCable
	uses: {}
	category: 'Tvs-Monitores'!

!TRefrescoEntDependienteCable commentStamp: '<historical>' prior: 0!
A TRefrescoEntDependienteCable esta trait permite obtener el refresco para una entrada HDMI, que depende del cable utilizado!

!TRefrescoEntDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:26'!
refrescoCable 
	self requirement ! !

!TRefrescoEntDependienteCable methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:27'!
refrescoEntrada
	^self refrescoCable ! !

Trait named: #TRefrescoEntFijo
	uses: {}
	category: 'Tvs-Monitores'!

!TRefrescoEntFijo commentStamp: '<historical>' prior: 0!
A TRefrescoEntFijo is xxxxxxxxx.
!

!TRefrescoEntFijo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:32'!
refresco
	self requirement! !

!TRefrescoEntFijo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:31'!
refrescoEntrada
	^self refresco! !

TestCase subclass: #TpTraitTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

TpTraitTest subclass: #PantallaTest
	instanceVariableNames: 'pantalla eVga eHdmi eRf eAudioVideo monitor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!PantallaTest commentStamp: '<historical>' prior: 0!
A PantallaTest is a test class for testing the behavior of Pantalla!

PantallaTest subclass: #LCDTestCase
	instanceVariableNames: 'moni tv'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:08'!
setUp 
	moni:= PantallaDigital monitorLcdTamanio: 17 ppp: 100.
	tv:= PantallaDigital tvLcdTamanio: 19 ppp: 150
	! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:22'!
testConsumoMoniLcdConEntradaVgade17
|e|
e:=VGA vgaDefinicionCable: 720.
moni entrada: e.
self assert: 68.72 equals: moni consumoTotal ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:36'!
testConsumoMoniLcdDe17ConEntradaHdmi
|e|
e:=HDMI hdmiDefinicionCable: 1080 consumoPantalla: moni consumo  refresco: 240.  
moni entrada: e.
self assert: 81.6 equals: moni consumoTotal ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 17:03'!
testDefinicionMaximaTvLcdDe19PppDe150

self assert:2015 equals: tv definicionMaxima asInteger ! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 17:30'!
testEsAptoVideoJuegosMoniLcdConEntradaAudioVideo
|e|
e:=AudioVideo new.
moni entrada: e.
self assert: moni puedeJugarVideojuegos=false 
! !

!LCDTestCase methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 18:02'!
testEsAptoVideoJuegosMoniLcdConEntradaVga
|e|
e:=VGA new.
moni entrada: e.
self assert: moni puedeJugarVideojuegos  =true! !

TpTraitTest subclass: #PlacaDeVideoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores-Tests'!

!PlacaDeVideoTest commentStamp: '<historical>' prior: 0!
A PlacaDeVideoTest is xxxxxxxxx.

Instance Variables
!

!PlacaDeVideoTest methodsFor: 'as yet unclassified' stamp: 'Aure 4/12/2013 18:28'!
testPlacaDeVideoConGpuConUnCooler
	| p |
	p:= PlacaConGpuIntegrado PlacaConGpuConCantidadDeCoolers: 1 deResolucion: 1024*768.
	p resolucionPantalla: 800*600. "Esto tiene que venir de la pantalla, ahora esta harcodeado"
	self assert: 48.5 equals: p consumoTotal.! !

Object subclass: #Computadora
	uses: TComputadora
	instanceVariableNames: 'componentes disco pantalla video'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!Computadora commentStamp: '<historical>' prior: 0!
A Computadora is xxxxxxxxx.

Instance Variables
!

Computadora class
	uses: TComputadora classTrait
	instanceVariableNames: ''!

!Computadora class methodsFor: 'as yet unclassified' stamp: 'FedericoGarciaRonca 4/16/2013 20:12'!
computadoraConPantalla: unaPantalla unDisco: unDisco unaPlaca: unaPlaca
| unaComputadora |
unaComputadora := Computadora new.
unaComputadora componentes: Set new.
unaComputadora pantalla:  unaPantalla.
unaComputadora video: unaPlaca.
unaComputadora disco: unDisco.
unaComputadora componentes add: unaPantalla.
unaComputadora componentes add: unaPlaca.
unaComputadora componentes add: unDisco.
^unaComputadora! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 20:11'!
componentes
	
	^ componentes! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 20:11'!
componentes: anObject
	
	componentes := anObject! !

!Computadora methodsFor: 'as yet unclassified' stamp: 'FedericoGarciaRonca 4/18/2013 01:33'!
consumoTotal
	| consumoComputadora |
	
	consumoComputadora := self componentes select: [:componente | 
		consumoComputadora  += componente consumoTotal].
	
	^consumoComputadora! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
disco
	
	^ disco! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
disco: anObject
	
	disco := anObject! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
pantalla
	
	^ pantalla! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
pantalla: anObject
	
	pantalla := anObject! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
video
	
	^ video! !

!Computadora methodsFor: 'accessing' stamp: 'FedericoGarciaRonca 4/16/2013 19:55'!
video: anObject
	
	video := anObject! !

Object subclass: #DiscoRigido
	uses: TDiscoRigido
	instanceVariableNames: 'rpm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!DiscoRigido commentStamp: '<historical>' prior: 0!
A DiscoRigido is xxxxxxxxx.

Instance Variables
	rpm:		<Object>

rpm
	- xxxxx
!

DiscoRigido class
	uses: TDiscoRigido classTrait
	instanceVariableNames: ''!

!DiscoRigido methodsFor: 'accessing' stamp: 'Aure 4/10/2013 13:47'!
rpm
	^ rpm! !

!DiscoRigido methodsFor: 'accessing' stamp: 'Aure 4/10/2013 13:47'!
rpm: anObject
	rpm := anObject! !

Object subclass: #Entrada
	instanceVariableNames: 'consumo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!Entrada commentStamp: '<historical>' prior: 0!
An Entrada is xxxxxxxxx.

Instance Variables
	consumo:		<Object>

consumo
	- xxxxx
!

Entrada subclass: #AudioVideo
	uses: TConsumoEntrDependientePantalla + TDefinicionEntFija + TRefrescoEntFijo
	instanceVariableNames: 'consumoPantalla definicion refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!AudioVideo commentStamp: '<historical>' prior: 0!
An AudioVideo is xxxxxxxxx.

Instance Variables
	consumoPantalla:		<Object>

consumoPantalla
	- xxxxx
!

AudioVideo class
	uses: TConsumoEntrDependientePantalla classTrait + TDefinicionEntFija classTrait + TRefrescoEntFijo classTrait
	instanceVariableNames: ''!

!AudioVideo class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/12/2013 00:53'!
audioVideoConsumoPantalla: unConsumo
|instancia|
instancia:= self new
instancia consumoPantalla: unConsumo.
^instancia ! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:00'!
consumo
	^ consumo! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:00'!
consumo: anObject
	consumo := anObject! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:37'!
consumoPantalla
	^ consumoPantalla! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:37'!
consumoPantalla: anObject
	consumoPantalla := anObject! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 11:40'!
definicion
	^ definicion! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 11:40'!
definicion: anObject
	definicion := anObject! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:35'!
initialize 
	self consumo: 0.1.
	self refresco: 50! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:35'!
refresco
	^ refresco! !

!AudioVideo methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:35'!
refresco: anObject
	refresco := anObject! !

!Entrada methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 23:56'!
consumo
	^ consumo! !

!Entrada methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 23:57'!
consumo: anObject
	consumo := anObject! !

Entrada subclass: #HDMI
	uses: TConsumoEntrDependientePantalla + TDefinicionEntradaDependienteCable + TRefrescoEntDependienteCable
	instanceVariableNames: 'definicionCable refrescoCable consumoPantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!HDMI commentStamp: '<historical>' prior: 0!
A HDMI is xxxxxxxxx.

Instance Variables
	definicionCable:		<Object>
	refrescoCable:		<Object>

definicionCable
	- xxxxx

refrescoCable
	- xxxxx
!

HDMI class
	uses: TConsumoEntrDependientePantalla classTrait + TDefinicionEntradaDependienteCable classTrait + TRefrescoEntDependienteCable classTrait
	instanceVariableNames: ''!

!HDMI class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/12/2013 00:40'!
hdmiDefinicionCable: unaDefinicion consumoPantalla: unConsumo refresco: unRefresco
|	instancia|
	instancia:= self new.
	instancia
	definicionCable: unaDefinicion;
	consumoPantalla: unConsumo;
	refrescoCable: unRefresco.
	
	^instancia
 ! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:02'!
consumo
	^ consumo! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:02'!
consumo: anObject
	consumo := anObject! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 22:04'!
consumoPantalla
	^ consumoPantalla! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 22:04'!
consumoPantalla: anObject
	consumoPantalla := anObject! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:09'!
definicionCable
	^ definicionCable! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:09'!
definicionCable: anObject
	definicionCable := anObject! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 10:58'!
initialize 
	self consumo: 0.2! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:11'!
refrescoCable
	^ refrescoCable! !

!HDMI methodsFor: 'accessing' stamp: 'GonzaloRicco 4/10/2013 00:11'!
refrescoCable: anObject
	refrescoCable := anObject! !

Entrada subclass: #RF
	uses: TDefinicionEntFija + TRefrescoEntFijo
	instanceVariableNames: 'definicion refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!RF commentStamp: '<historical>' prior: 0!
A RF is xxxxxxxxx.

Instance Variables
	consumo:		<Object>
	definicion:		<Object>

consumo
	- xxxxx

definicion
	- xxxxx
!

RF class
	uses: TDefinicionEntFija classTrait + TRefrescoEntFijo classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:04'!
consumo
	^ consumo! !

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:04'!
consumo: anObject
	consumo := anObject! !

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 11:40'!
definicion
	^ definicion! !

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 11:40'!
definicion: anObject
	definicion := anObject! !

!RF methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:37'!
initialize
	self consumo: 0.
	self definicion: 480.
	self refresco: 50
! !

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:36'!
refresco
	^ refresco! !

!RF methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:36'!
refresco: anObject
	refresco := anObject! !

Entrada subclass: #VGA
	uses: TConsumoEntDependienteCable + TDefinicionEntradaDependienteCable + TRefrescoEntFijo
	instanceVariableNames: 'definicionCable refresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!VGA commentStamp: '<historical>' prior: 0!
A VGA is xxxxxxxxx.

Instance Variables
	definicionCable:		<Object>

definicionCable
	- xxxxx
!

VGA class
	uses: TConsumoEntDependienteCable classTrait + TDefinicionEntradaDependienteCable classTrait + TRefrescoEntFijo classTrait
	instanceVariableNames: ''!

!VGA class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/12/2013 00:21'!
vgaDefinicionCable: unaDefinicion
	|instancia|
	instancia:=self new.
	instancia definicionCable: unaDefinicion.
	
^instancia! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:05'!
consumo
	^ consumo! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 12:05'!
consumo: anObject
	consumo := anObject! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 10:19'!
definicionCable
	^ definicionCable! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 10:19'!
definicionCable: anObject
	definicionCable := anObject! !

!VGA methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/11/2013 18:39'!
initialize 
self consumo: 0.001.
self refresco: 120! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:38'!
refresco
	^ refresco! !

!VGA methodsFor: 'accessing' stamp: 'GonzaloRicco 4/11/2013 18:38'!
refresco: anObject
	refresco := anObject! !

Object subclass: #Pantalla
	uses: TPantalla
	instanceVariableNames: 'tamanio wattsHora tasaRefresco entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!Pantalla commentStamp: '<historical>' prior: 0!
A Pantalla is xxxxxxxxx.

Instance Variables
	tamanio:		<Object>
	tasaRefresco:		<Object>
	wattsHora:		<Object>

tamanio
	- xxxxx

tasaRefresco
	- xxxxx

wattsHora
	- xxxxx
!

Pantalla class
	uses: TPantalla classTrait
	instanceVariableNames: ''!

!Pantalla methodsFor: 'trait requirements' stamp: 'GonzaloRicco 4/9/2013 10:05'!
consumo
	^ self wattsHora * self tamanio ! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 23:22'!
entrada
	^ entrada! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/9/2013 23:22'!
entrada: anObject
	entrada := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'Aure 4/8/2013 21:27'!
refrescoTV
	^RefrescoTV! !

!Pantalla methodsFor: 'accessing' stamp: 'Aure 4/8/2013 21:28'!
refrescoTV: anObject
	RefrescoTV := anObject ! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/5/2013 18:47'!
tamanio
^tamanio! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/5/2013 18:51'!
tamanio:unTamao
tamanio:=unTamao
! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/8/2013 22:51'!
tasaRefresco
	^ tasaRefresco! !

!Pantalla methodsFor: 'accessing' stamp: 'GonzaloRicco 4/8/2013 22:51'!
tasaRefresco: anObject
	tasaRefresco := anObject! !

!Pantalla methodsFor: 'accessing' stamp: 'Aure 4/8/2013 21:00'!
wattsHora
	^ wattsHora! !

!Pantalla methodsFor: 'accessing' stamp: 'Aure 4/8/2013 21:00'!
wattsHora: anObject
	wattsHora := anObject! !

Pantalla subclass: #PantallaAnalogica
	uses: TAnalogico
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!PantallaAnalogica commentStamp: '<historical>' prior: 0!
A PantallaAnalogica is xxxxxxxxx.

Instance Variables
!

PantallaAnalogica class
	uses: TAnalogico classTrait
	instanceVariableNames: ''!

!PantallaAnalogica class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/16/2013 10:15'!
monitorCrtTamanio: unTamanio 
	| instancia | 
	instancia:= Pantalla new.
	instancia tamanio: unTamanio.
	instancia wattsHora: 5.
	instancia tasaRefresco: 120.
	^instancia
	! !

!PantallaAnalogica class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/16/2013 10:15'!
tvCrtTamanio: unTamanio 
	| instancia | 
	instancia:= Pantalla new.
	instancia 
	tamanio: unTamanio;
	wattsHora: 5;
	tasaRefresco: 90.
	
	^instancia.
	! !

Pantalla subclass: #PantallaDigital
	uses: TDigital
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!PantallaDigital commentStamp: '<historical>' prior: 0!
A PantallaDigital is xxxxxxxxx.

Instance Variables
!

PantallaDigital class
	uses: TDigital classTrait
	instanceVariableNames: ''!

!PantallaDigital class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:29'!
monitorLcdTamanio: unTamanio ppp: unPpp
	| instancia | 
	instancia:= PantallaDigital  new.
	instancia 
	tamanio: unTamanio;
	ppp: unPpp; 
	wattsHora: 4;
	tasaRefresco: 120.
	
	^instancia
	! !

!PantallaDigital class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:29'!
monitorLedTamanio: unTamanio ppp: unPpp 
	| instancia | 
	instancia:= PantallaDigital  new.
	instancia 
	tamanio: unTamanio;
	ppp: unPpp; 
	wattsHora: 1;
	tasaRefresco: 120.
	
	^instancia
	! !

!PantallaDigital class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:29'!
tvLcdTamanio: unTamanio ppp: unPpp 
	| instancia | 
	instancia:= PantallaDigital  new.
	instancia 
	tamanio: unTamanio;
	ppp: unPpp; 
	wattsHora: 4;
	tasaRefresco: 90.
	
	^instancia.
	! !

!PantallaDigital class methodsFor: 'as yet unclassified' stamp: 'GonzaloRicco 4/17/2013 16:30'!
tvLedTamanio: unTamanio ppp: unPpp 
	| instancia | 
	instancia:= PantallaDigital  new.
	instancia 
	tamanio: unTamanio;
	ppp: unPpp; 
	wattsHora: 1;
	tasaRefresco: 90.
	
	^instancia.
	! !

!PantallaDigital methodsFor: 'accessing' stamp: 'GonzaloRicco 4/16/2013 11:15'!
ppp
	^ ppp! !

!PantallaDigital methodsFor: 'accessing' stamp: 'GonzaloRicco 4/16/2013 11:15'!
ppp: anObject
	ppp := anObject! !

Object subclass: #PlacaDeVideo
	uses: TPlacaDeVideo
	instanceVariableNames: 'resolucionMax coolers consumo resolucionPantalla'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!PlacaDeVideo commentStamp: '<historical>' prior: 0!
A PlacaDeVideo is xxxxxxxxx.

Instance Variables
	resolucionMax:		<Object>

resolucionMax
	- xxxxx
!

PlacaDeVideo class
	uses: TPlacaDeVideo classTrait
	instanceVariableNames: ''!

PlacaDeVideo subclass: #PlacaConGpuIntegrado
	uses: TPlacaGpu
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!PlacaConGpuIntegrado commentStamp: '<historical>' prior: 0!
A PlacaConGpu is xxxxxxxxx.

Instance Variables
!

PlacaConGpuIntegrado class
	uses: TPlacaGpu classTrait
	instanceVariableNames: ''!

!PlacaConGpuIntegrado class methodsFor: 'as yet unclassified' stamp: 'Aure 4/12/2013 17:07'!
PlacaConGpuConCantidadDeCoolers: unaCantidad deResolucion: unaResolucion
	| instance |
	instance := PlacaConGpuIntegrado new.
	instance cantidadCoolers: unaCantidad.
	instance resolucionMax: unaResolucion.
	instance consumoPromedio: 0.
	^instance! !

!PlacaDeVideo class methodsFor: 'as yet unclassified' stamp: 'Aure 4/12/2013 17:07'!
PlacaSimpleConCantidadDeCoolers: unaCantidad deResolucion: unaResolucion deConsumo: unConsumo
	| instance |
	instance := PlacaDeVideo new.
	instance cantidadCoolers: unaCantidad.
	instance resolucionMax: unaResolucion.
	instance consumoPromedio: unConsumo.
	^instance! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/10/2013 14:11'!
cantidadCoolers
	^coolers! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/10/2013 14:11'!
cantidadCoolers: unaCantidad
	coolers := unaCantidad! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/12/2013 13:52'!
consumoPromedio
	^consumo! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/12/2013 13:51'!
consumoPromedio: unConsumo 
	consumo := unConsumo! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/10/2013 14:03'!
resolucionMax
	^ resolucionMax! !

!PlacaDeVideo methodsFor: 'accessing' stamp: 'Aure 4/10/2013 14:03'!
resolucionMax: anObject
	resolucionMax := anObject! !

!PlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/12/2013 17:49'!
resolucionPantalla
	^resolucionPantalla! !

!PlacaDeVideo methodsFor: 'trait requirements' stamp: 'Aure 4/12/2013 17:49'!
resolucionPantalla: unaRes
	resolucionPantalla:= unaRes! !

PlacaDeVideo subclass: #PlacaIntegradaEnMother
	uses: TPlacaMother
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tvs-Monitores'!

!PlacaIntegradaEnMother commentStamp: '<historical>' prior: 0!
A PlacaConMother is xxxxxxxxx.

Instance Variables
!

PlacaIntegradaEnMother class
	uses: TPlacaMother classTrait
	instanceVariableNames: ''!

!PlacaIntegradaEnMother class methodsFor: 'as yet unclassified' stamp: 'Aure 4/12/2013 17:07'!
PlacaMotherboardConCantidadDeCoolers: unaCantidad deResolucion: unaResolucion deConsumo: unConsumo
	| instance |
	instance := PlacaIntegradaEnMother new.
	instance cantidadCoolers: unaCantidad.
	instance resolucionMax: unaResolucion.
	instance consumoPromedio: unConsumo.
	^instance! !
